# Enum Class TaskType

java.lang.Object
java.lang.Enum<TaskType>
org.daypilot.ui.enums.gantt.TaskType

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskType>`, `Constable`

public enum TaskType extends Enum<TaskType>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GROUP`
  `MILESTONE`
  `TASK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskType`
  `fromString(String id)`
  `String`
  `toString()`
  `static TaskType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TASK

    public static final TaskType TASK

  - ### MILESTONE

    public static final TaskType MILESTONE

  - ### GROUP

    public static final TaskType GROUP

- ## Method Details

  - ### values

    public static TaskType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static TaskType fromString(String id)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TaskType>`